#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    int n, m;
    cin >> n >> m;
    int a[n];
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    long long sreca = 0;
    int x, y;
    for(int i = 0; i < m; i++){
        cin >> x >> y;
        x--;
        y--;
        bool znak = false;
        if(abs(a[x]) > abs(a[y]) && a[x] < 0){
            znak = true;
        }
        else if(abs(a[x]) < abs(a[y]) && a[y] < 0){
            znak = true;
        }
        if(znak){
            sreca -= a[x];
            sreca -= a[y];
        }
        else{
            sreca += a[x];
            sreca += a[y];
        }
    }
    cout << sreca;
    return 0;
}